Skip to content
Last updated

title: Check Credential Health keywords:

  • check credential health
  • get
  • check
  • credential
  • health

Check the health status of a credential.

GEThttps://api.aitronos.com/v1/personal-connectors/{credential_id}/health

Path Parameters

credential_id string required

The credential id parameter.


Returns

credential_id string

Credential ID

tool_key string

Tool key

status string

Health status: healthy, unhealthy, or unknown

is_active boolean

Whether credential is active in DB

connection_status string or null

Connection status

reason string or null

Reason for unhealthy status

last_checked_at string

Timestamp of health check

cURL
curl -X GET "https://api.aitronos.com/v1/personal-connectors/{credential_id}/health" \
  -H "X-API-Key: $FREDDY_API_KEY"

Response:

200 OK
{
  "credential_id": "cred_abc123def456",
  "tool_key": "slack",
  "status": "active",
  "is_active": true,
  "connection_status": "example_connection_status",
  "reason": "example_reason",
  "last_checked_at": "2025-11-15T10:30:00Z"
}